# $Revision: 1.13 $, $Date: 2002/07/31 08:15:38 $
Summary:	S/Key suite of programs
Summary(pl):	Zestaw programw do S/Key
Name:		skey
Version:	2.2
Release:	6
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/security/%{name}-%{version}.tar.gz
Patch0:		%{name}-shared.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The S/Key suite of programs.

S/Key provides one-time password-based authentication using the RSA
Data Security, Inc. MD5 Message-Digest Algorithm (licensed for
redistribution by RSA). This technology is based on key-challenge
authentication via key checksums and does not contain any
strong-encryption algorithms. This code may be exported freely out of
the United States.

%description -l pl
Zestaw programw do S/Key.

S/Key daje system autentykacji bazujcy na hasach jednorazowych przy
uyciu algorytmu skrtu MD5 RSA Data Security. Ta technologia bazuje
na autentykacji key-challenge poprzez sumy kontrolne kluczy i nie
zawiera silnej kryptografii - tak wic kod moe by eksportowany poza
USA.

%package devel
Summary:	Headers for developing S/Key enabled programs
Summary(pl):	Pliki nagwkowe do tworzenia programw uywajcych S/Key
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Headers for developing S/Key enabled programs.

%description devel -l pl
Pliki nagwkowe do tworzenia programw uywajcych S/Key.

%package static
Summary:	Static S/Key libraries
Summary(pl):	Statyczne biblioteki S/Key
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}


%description static
Static S/Key libraries.

%description static -l pl
Statyczne biblioteki S/Key.

%prep
%setup -q
%patch -p1

%build
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man{1,5},%{_libdir},%{_includedir}/security}

install key/key keyinit/keyinit keyinfo/keyinfo $RPM_BUILD_ROOT%{_bindir}
install libskey/skey.h $RPM_BUILD_ROOT%{_includedir}/security
install libskey/libskey.a $RPM_BUILD_ROOT%{_libdir}
install libskey/libskey.so.*.* $RPM_BUILD_ROOT%{_libdir}

ln -sf libskey.so.%{version} $RPM_BUILD_ROOT/%{_libdir}/libskey.so

install {key,keyinfo,keyinit,libskey}/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install libskey/*.5 $RPM_BUILD_ROOT%{_mandir}/man5/

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/security/skey.h
%attr(755,root,root) %{_libdir}/lib*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: skey.spec,v $
Revision 1.13  2002/07/31 08:15:38  marcus
- rel.6. (to synchonize with ppc)

Revision 1.12  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:14:55  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/13 15:04:33  qboosh
- adapterized, pl translations; release 5

Revision 1.9  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.8  2001/01/25 20:03:49  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2000/12/27 12:54:09  kloczek
- changed Group in main to Networking/Daemons.

Revision 1.6  2000/12/25 21:54:40  marcus
- fixed /usr/lib/libskey.a owner
- fix libskey.a owner/group (missing %defattr)
- fix Source0 (added ftp site from lsm)
- release 4

Revision 1.5  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.4  2000/11/22 19:30:56  kloczek
- release 3,
- make spec %%{debug} ready,
- added using new rpm automation,
- added static subpackage.

Revision 1.3  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/03 13:35:38  wiget
added Requires to -devel

Revision 1.1  2000/04/25 13:10:23  baggins
- PLD compliant spec
